%define xvomsdir %{_datadir}/%{name}

Name:		xvoms
Version:	0.3.5
Release:	%mkrel 1
Source0:	xvoms-%{version}.tar.bz2
Source1:	c3p0.jar
Source2:	hibernate3.jar
Source3:	mysql-connector-java.jar

BuildArch:  noarch

Summary:	X-VOMS

BuildRequires:	jpackage-utils
BuildRequires:	java-1.6.0-openjdk-devel
BuildRequires:	ant
BuildRequires:	asm antlr cglib-nohook jakarta-commons-collections junit4
BuildRequires:	jakarta-commons-logging dom4j javassist 
BuildRequires:	bouncycastle
#BuildRequires:	hibernate
BuildRequires:	geronimo-jta-1.0.1B-api	
BuildRequires:	log4j

Requires:	xvoms-jardeps
Requires:	asm antlr cglib-nohook jakarta-commons-collections
Requires:	jakarta-commons-logging dom4j javassist 

#Requires:	geronimo-jta-1.0.1B-api

Requires:	log4j junit4 cglib
Requires:	bouncycastle
Requires:	geronimo-jta-1.0.1B-api	
##Requires:	hibernate3  Commented, as we include it here in an ugly hack

#Requires:	cdaserver-jardeps

Requires:	java-1.6.0-openjdk >= 1.6.0
Requires:	mysql-client
Requires:	mysql

#Requires:	xtreemfs-client

Group:		System/Cluster
License:	BSD Like
BuildArch:	noarch

%description
X-VOMS is an advanced Virtual Organisation (VO) management library for
supporting secure and flexible collaborations and resource sharing among
people, projects and organisations. It is written in Java and back by
a (Hibernate-based) X-VOMS database schema. Like other VO management
software packages, X-VOMS provides a set of APIs for managing VO
membership and credentials.


%package jardeps
Summary:	xvoms Jar dependencies
Group:		System/Cluster
%description	jardeps
xvoms jar dependencies






%package mysql-setup
Summary:	xvoms auto-setup for mysql database
Group:		System/Cluster
%description mysql-setup
This package automatically setup a mysql database to be used by XVOMS.

%prep
%setup -q -n xvoms-%version

#pushd lib
#rm -f antlr-*.jar asm*.jar commons-collections-*.jar commons-logging*.jar \
#      dom4j*.jar javassist*.jar jta* log4j-*.jar junit*
#popd

%{__mkdir} lib

cp %{SOURCE1}	./lib/c3p0.jar
cp %{SOURCE2} ./lib/hibernate3.jar
cp %{SOURCE3}  ./lib/mysql-connector-java.jar

./linkjars

%build
#export CLASSPATH=$(build-classpath hibernate3):$(build-classpath junit4 XtreemFS):%{_datadir}/java/

export CLASSPATH=$(build-classpath hibernate3):$(build-classpath junit4 ):%{_datadir}/java/
export JAVA_HOME=%{_jvmdir}/java
ant dist

%install


%{__install} -d %{buildroot}%{_javadir}
%{__install} -m0644 dist/xvoms-%{version}.jar %{buildroot}%{_javadir}
%{__ln_s} xvoms-%{version}.jar %{buildroot}%{_javadir}/xvoms.jar

%{__install} -d %{buildroot}%{_datadir}/%name
%{__install} -d %{buildroot}%{_sysconfdir}/xos/config/xvoms
#%{__install} -m0644 dist/log4j.properties %{buildroot}%{_datadir}/%name/
%{__install} -m0644 src/hibernate.cfg.xml src/Mappings.hbm.xml %{buildroot}%{_sysconfdir}/xos/config/xvoms/
cp -a scripts %{buildroot}%{_datadir}/%name/
cp -a data %{buildroot}%{_datadir}/%name/
cp src/log4j.properties %{buildroot}%{_sysconfdir}/xos/config/xvoms/log4j-properties.reference-only
cp -f xvoms.properties %{buildroot}%{_sysconfdir}/xos/config/%name/


%{__install} -d %{buildroot}%{xvomsdir}/xsl
mv -i etc/* %{buildroot}%{xvomsdir}/xsl

%{__install} -d %{buildroot}%{xvomsdir}/bin
mv -i bin/* %{buildroot}%{xvomsdir}/bin/


cp -a %{SOURCE1} %{buildroot}%{_javadir}/c3p0.jar
cp -a %{SOURCE2} %{buildroot}%{_javadir}/hibernate3.jar
cp -a %{SOURCE3} %{buildroot}%{_javadir}/mysql-connector-java.jar

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README LICENSE RELEASE-NOTES TODOs 
%{xvomsdir}/bin/xvoms_init.sh
%{xvomsdir}/bin/xvoms_load.sh
%{xvomsdir}/bin/xvoms_save.sh
%{xvomsdir}/bin/xvoms_extend_accounts.sh
%{xvomsdir}/bin/xvoms_changepass.pl
%{xvomsdir}/bin/xvoms_run.sh
#%attr(0755,root,root) %{xvomsdir}/bin/xtreemfsclient.sh
%{xvomsdir}/data/xvoms.txt
%config(noreplace) %{_sysconfdir}/xos/config/xvoms/hibernate.cfg.xml
%config(noreplace) %{_sysconfdir}/xos/config/xvoms/Mappings.hbm.xml
%config(noreplace) %{_sysconfdir}/xos/config/xvoms/log4j-properties.reference-only
%config(noreplace) %{_sysconfdir}/xos/config/xvoms/xvoms.properties
#%config(noreplace) %{_sysconfdir}/xos/config/xvoms/MRC.properties
#%{xvomsdir}/log4j.properties
%{xvomsdir}/scripts/extend.sql
#%{xvomsdir}/scripts/dbschema-dump.sql
%{xvomsdir}/scripts/how_to_create_sample_xvoms_database.txt
%{xvomsdir}/scripts/how_to_refresh_sample_xvoms_data.txt
#%{xvomsdir}/scripts/setup.sql
%{xvomsdir}/scripts/dbuser.sql
%{xvomsdir}/xsl/xsl/junit-noframes.xsl
%{xvomsdir}/scripts/sethost.sql
%{_javadir}/xvoms.jar
%{_javadir}/xvoms-%{version}.jar
%dir %{_sysconfdir}/xos
%dir %{_sysconfdir}/xos/config
%dir %{_sysconfdir}/xos/config/xvoms
/usr/share/xvoms



%files jardeps
%defattr(-,root,root)
%{_javadir}/mysql-connector-java.jar
%{_javadir}/c3p0.jar
%{_javadir}/hibernate3.jar




%changelog
